Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExCMesh Class Reference

`#include <ExCMesh.h>`

## Public Methods
| ExCMesh (void)
| ExCMesh (ExCVertex a, ExCVertex b, ExCVertex c)
| ~ExCMesh (void)
void | Affich (void)
void | SetMaterial (std::string Material)
void | SetVertex (ExCVertex a, ExCVertex b, ExCVertex c)
std::string | GetMaterial (void)
int | GetMeshNumber (void)
int | GetSmoothing (void)
int | GetAB (void)
int | GetBC (void)
int | GetCA (void)
void | SetVertexA (ExCVertex a)
void | SetVertexB (ExCVertex b)
void | SetVertexC (ExCVertex c)
## Data Fields
ExCVertex | A
ExCVertex | B
ExCVertex | C
int | m_AB
int | m_BC
int | m_CA
int | m_Smoothing
std::string | m_Material
int | m_MeshNumber

## Constructor & Destructor Documentation

ExCMesh | ( | void |  | ) |

| Definition at line 26 of file ExCMesh.cpp. References m_AB, m_BC, m_CA, m_Material, m_MeshNumber, and m_Smoothing.
    00027 {
    00028         m_AB=0;
    00029         m_BC=0;
    00030         m_CA=0;
    00031         m_Smoothing=0;
    00032         m_Material = "NONE";
    00033         m_MeshNumber=0;
    00034 }

ExCMesh | ( | ExCVertex | a,
|  | ExCVertex | b,
|  | ExCVertex | c
| ) |

| Definition at line 36 of file ExCMesh.cpp. References SetVertex().
    00037 {
    00038         SetVertex(a,b,c);
    00039 }

~ExCMesh | ( | void |  | ) |

| Definition at line 41 of file ExCMesh.cpp.
    00042 {
    00043
    00044 }

## Member Function Documentation

void Affich | ( | void |  | ) |

| Definition at line 62 of file ExCMesh.cpp. References m_AB, m_BC, m_CA, m_Material, m_MeshNumber, and m_Smoothing.
    00063 {
    00064         std::cout<<"Mesh "<<m_MeshNumber<<":   AB :"<<m_AB<<" BC:"<<m_BC<<" CA:"<<m_CA<<std::endl;
    00065         std::cout<<"Material:"<<m_Material<<std::endl;
    00066         std::cout<<"Smoothing:"<<m_Smoothing<<std::endl;
    00067 }

int GetAB | ( | void |  | ) | `[inline]`

| Definition at line 62 of file ExCMesh.h. References m_Smoothing.
    00062 {return  m_Smoothing;};

int GetBC | ( | void |  | ) | `[inline]`

| Definition at line 63 of file ExCMesh.h. References m_AB.
    00063 {return m_AB;}

int GetCA | ( | void |  | ) | `[inline]`

| Definition at line 64 of file ExCMesh.h. References m_BC.
    00064 {return m_BC;}

std::string GetMaterial | ( | void |  | ) | `[inline]`

| Definition at line 59 of file ExCMesh.h. Referenced by ExCMap::LoadMap().

int GetMeshNumber | ( | void |  | ) | `[inline]`

| Definition at line 60 of file ExCMesh.h. References m_Material.
    00060 {return m_Material;}

int GetSmoothing | ( | void |  | ) | `[inline]`

| Definition at line 61 of file ExCMesh.h. References m_MeshNumber.
    00061 {return m_MeshNumber;}

void SetMaterial | ( | std::string | Material | ) |

| Definition at line 46 of file ExCMesh.cpp. References Guard, m_Material, and SetMaterial(). Referenced by ExCEntite::LoadAsc(), ExCComposed::LoadAsc(), ExCMap::LoadMap(), and SetMaterial().
    00047 {
    00048 Guard(void ExCMesh::SetMaterial(std::string Material));
    00049         m_Material = Material;
    00050 UnGuard
    00051 }

void SetVertex | ( | ExCVertex | a,
|  | ExCVertex | b,
|  | ExCVertex | c
| ) |

| Definition at line 53 of file ExCMesh.cpp. References A, B, C, Guard, and SetVertex(). Referenced by ExCMesh(), and SetVertex().
    00054 {
    00055 Guard(void ExCMesh::SetVertex(ExCVertex  a,ExCVertex  b,ExCVertex  c))
    00056         A=a;
    00057         B=b;
    00058         C=c;
    00059 UnGuard
    00060 }

void SetVertexA | ( | ExCVertex | a | ) | `[inline]`

| Definition at line 65 of file ExCMesh.h. References m_CA.
    00065 {return m_CA;}

void SetVertexB | ( | ExCVertex | b | ) | `[inline]`

| Definition at line 66 of file ExCMesh.h. References A.
    00066 {A=a;}

void SetVertexC | ( | ExCVertex | c | ) | `[inline]`

| Definition at line 67 of file ExCMesh.h. References B.
    00067 {B=b;}

## Field Documentation

ExCVertex A

| Definition at line 37 of file ExCMesh.h. Referenced by ExCEntite::LoadAsc(), ExCComposed::LoadAsc(), ExCMap::LoadMap(), ExCOctree::MeshInOctree(), and SetVertex().

ExCVertex B

| Definition at line 38 of file ExCMesh.h. Referenced by ExCEntite::LoadAsc(), ExCComposed::LoadAsc(), ExCMap::LoadMap(), ExCOctree::MeshInOctree(), and SetVertex().

ExCVertex C

| Definition at line 39 of file ExCMesh.h. Referenced by ExCEntite::LoadAsc(), ExCComposed::LoadAsc(), ExCMap::LoadMap(), ExCOctree::MeshInOctree(), and SetVertex().

int m_AB

| Definition at line 40 of file ExCMesh.h. Referenced by Affich(), ExCMesh(), GetBC(), ExCEntite::LoadAsc(), ExCComposed::LoadAsc(), and ExCMap::LoadMap().

int m_BC

| Definition at line 41 of file ExCMesh.h. Referenced by Affich(), ExCMesh(), GetCA(), ExCEntite::LoadAsc(), ExCComposed::LoadAsc(), and ExCMap::LoadMap().

int m_CA

| Definition at line 42 of file ExCMesh.h. Referenced by Affich(), ExCMesh(), ExCEntite::LoadAsc(), ExCComposed::LoadAsc(), ExCMap::LoadMap(), and SetVertexA().

std::string m_Material

| Definition at line 44 of file ExCMesh.h. Referenced by Affich(), ExCMesh(), GetMeshNumber(), and SetMaterial().

int m_MeshNumber

| Definition at line 45 of file ExCMesh.h. Referenced by Affich(), ExCMesh(), GetSmoothing(), ExCEntite::LoadAsc(), ExCComposed::LoadAsc(), and ExCMap::LoadMap().

int m_Smoothing

| Definition at line 43 of file ExCMesh.h. Referenced by Affich(), ExCMesh(), GetAB(), ExCEntite::LoadAsc(), ExCComposed::LoadAsc(), and ExCMap::LoadMap().

The documentation for this class was generated from the following files:

- ExCMesh.h
- ExCMesh.cpp